version: "3.8"
services:
  t2v:
    build: .
    ports:
      - "3000:3000"
    environment:
      - PORT=3000
      - REPLICATE_API_TOKEN=${REPLICATE_API_TOKEN}
      - MAX_PROMPT_CHARS=800
      - MAX_CONCURRENT_JOBS=2
      - JOB_TIMEOUT_SECONDS=900
    volumes:
      - ./storage/videos:/app/storage/videos
    restart: unless-stopped
